### Method

# Clutter Actor allocate_align_fill

#### Declaration [src]

    void
    clutter_actor_allocate_align_fill (
      ClutterActor* self,
      const ClutterActorBox* box,
      gdouble x_align,
      gdouble y_align,
      gboolean x_fill,
      gboolean y_fill
    )

#### Description [src]

Allocates `self` by taking into consideration the available allocation area; an alignment factor on either axis; and whether the actor should fill the allocation on either axis.

The `box` should contain the available allocation width and height; if the x1 and y1 members of `ClutterActorBox` are not set to 0, the allocation will be offset by their value.

This function takes into consideration the geometry request specified by the `ClutterActor:request-mode` property, and the text direction.

This function is useful for fluid layout managers using legacy alignment flags. Newly written layout managers should use the `ClutterActor:x-align` and `ClutterActor:y-align` properties, instead, and just call `clutter_actor_allocate()` inside their `Clutter.ActorClass.allocate` implementation.

#### Parameters

`box`

  Type: `ClutterActorBox`

  A `ClutterActorBox`, containing the available width and height.

  The data is owned by the caller of the method.

`x_align`

  Type: `gdouble`

  The horizontal alignment, between 0 and 1.

`y_align`

  Type: `gdouble`

  The vertical alignment, between 0 and 1.

`x_fill`

  Type: `gboolean`

  Whether the actor should fill horizontally.

`y_fill`

  Type: `gboolean`

  Whether the actor should fill vertically.